> For the complete documentation index, see [llms.txt](https://docs.sofarocean.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sofarocean.com/~/revisions/i4w2YzZYZxcM4UMsnSvX/spotter-and-smart-mooring/spotter-data/latest-data.md).

# (GET) Latest Data

Retrieve most recent device status and measurement data from a specified Spotter.

<mark style="color:blue;">`GET`</mark> `https://api.sofarocean.com/api/latest-data?spotterId=:spotterId`

Returns the most recently transmitted waves, sensor, and device status data from the specified Spotter. <br>

### Query Parameters

| Name                        | Type    | Description                                                                                                                                                                       |
| --------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `spotterId`                 | string  | The identifier of the device you wish to retrieve information from.                                                                                                               |
| `includeWindData`           | boolean | <p>Default: <code>false</code><br></p><p>Set <code>true</code> to return wind data.</p>                                                                                           |
| `includeSurfaceTempData`    | boolean | <p>Default: <code>false</code><br></p><p>Set <code>true</code> to return surface temperature data from </p><p>Spotters equipped with SST sensors.</p>                             |
| `includeDirectionalMoments` | boolean | <p>Default: <code>false</code><br></p><p>Set <code>true</code> to return directional moments data from Spotters in <strong>Waves: Spectrum</strong> mode.</p>                     |
| `includePartitionData`      | boolean | <p>Default: <code>false</code><br></p><p>Set <code>true</code> to return partition data from Spotters in <strong>Waves: Partition</strong> mode or <strong>HDR</strong> mode.</p> |
| `includeBarometerData`      | boolean | <p>Default: <code>false</code><br></p><p>Set <code>true</code> to return barometer data from Spotters equipped with barometers.</p>                                               |

### Response Description

| Name             | Type   | Description                                                                                        |
| ---------------- | ------ | -------------------------------------------------------------------------------------------------- |
| `spotterId`      | string | The device's identifier.                                                                           |
| `spotterName`    | string | The device's display name, configured in the [Spotter Dashboard](https://spotter.sofarocean.com/). |
| `payloadType`    |        |                                                                                                    |
| `batteryVoltage` |        |                                                                                                    |
| `batteryPower`   |        |                                                                                                    |
| `solarVoltage`   |        |                                                                                                    |
| `humidity`       |        |                                                                                                    |
| `commSource`     |        |                                                                                                    |

|                         |   |   |
| ----------------------- | - | - |
| `significantWaveHeight` |   |   |
| `peakPeriod`            |   |   |
| `meanPeriod`            |   |   |
| `peakDirection`         |   |   |
| `peakDirectionalSpread` |   |   |
| `meanDirection`         |   |   |
| `meanDirectionalSpread` |   |   |
| `timestamp`             |   |   |
| `latitude`              |   |   |
| `longitude`             |   |   |

|   |   |   |
| - | - | - |
|   |   |   |
|   |   |   |
|   |   |   |

### Examples

#### Example Request

```bash
curl "https://api.sofarocean.com/api/latest-data?spotterId=SPOT-0018" -H 'token: YOUR_API_TOKEN'
```

#### Example Response

{% tabs %}
{% tab title="200 " %}

```json
{
    "data": {
        "spotterId": "SPOT-0018",
        "spotterName": "Mavericks 2",
        "payloadType": "waves",
        "batteryVoltage": 4.07,
        "batteryPower": -0.41,
        "solarVoltage": 0.0,
        "humidity": 32.8,
        "waves": [
            {
                "significantWaveHeight": 1.14,
                "peakPeriod": 9.3,
                "meanPeriod": 8.3,
                "peakDirection": 302.3,
                "peakDirectionalSpread": 42.11,
                "meanDirection": 286.2,
                "meanDirectionalSpread": 56.16,
                "timestamp": "2017-11-08T07:06:57.000Z",
                "latitude": 34.30115,
                "longitude": -120.6133
            },
            {
                "significantWaveHeight": 1.14,
                "peakPeriod": 10.24,
                "meanPeriod": 8.44,
                "peakDirection": 312.28,
                "peakDirectionalSpread": 37.07,
                "meanDirection": 284.18,
                "meanDirectionalSpread": 57.4,
                "timestamp": "2017-11-08T07:36:57.000Z",
                "latitude": 34.29883,
                "longitude": -120.61127
            }
        ],
        "track": [
            {
                "timestamp": "2017-11-08T07:06:57.000Z",
                "latitude": 34.30115,
                "longitude": -120.6133
            },
            {
                "timestamp": "2017-11-08T07:36:57.000Z",
                "latitude": 34.2988333,
                "longitude": -120.6112667
            }
        ],
        "frequencyData": [
            {
                "frequency": [0.02930,0.03906,0.04883,...],
                "df": [0.00977, 0.00977, 0.00977,...],
                "a1": [-0.097752, -0.095797, -0.054741,...],
                "b1": [-0.054741, 0.021505, 0.073314,...],
                "a2": [0.120235, 0.115347, -0.018573,...],
                "b2": [0.414467, 0.180841, 0.184751,...],
                "varianceDensity": [0.7111054247697032, 0.6186233367451381, 0.6411207778915046,...],
                "direction": [335.6588548979852, 338.1985905136482, 269.8174396209903,...],
                "directionalSpread": [79.181787169671, 74.12281945451112, 67.45630665882223,...],
                "timestamp": "2017-10-12T13:28:40.000Z",
                "latitude": 35.19229,
                "longitude": -120.86748
            }
        ],
        "partitionData": [
            {
                "partitions": [
                    {
                        "startFrequency": 0.025,
                        "endFrequency": 0.078125,
                        "significantWaveHeight": 0.69,
                        "meanPeriod": 15.38,
                        "meanDirection": 240.014,
                        "meanDirectionalSpread": 29.828
                    },
                    {
                        "startFrequency": 0.078125,
                        "endFrequency": 0.8,
                        "significantWaveHeight": 0.97,
                        "meanPeriod": 8.58,
                        "meanDirection": 251.647,
                        "meanDirectionalSpread": 29.645
                    }
                ],
                "location": {
                    "latitude": 35.19229,
                    "longitude": -120.86748,
                    "timestamp": "2017-10-12T13:28:40.000Z"
                }
            }
        ],
        "wind": [
          {
            "speed": 1, // in m/s
            "direction": 171,  // in degrees
            "location": {
                "latitude": 37.8973,
                "longitude": -122.6868833,
                "timestamp": "2019-08-09T20:14:54.000Z"
              },
              "seasurfaceId": 1 // 1: glassy, 2: choppy, 3: rough
          }
        ],
        "surfaceTemp": [
            {
                "degrees": 14.44,
                "location": {
                    "latitude": 37.7733,
                    "longitude": -122.3861833,
                    "timestamp": "2019-11-05T19:34:31.000Z"
                }
            }
        ],
        "commSource": "satellite"
    }
}
```

{% endtab %}
{% endtabs %}
